package com.fs.course.service.impl;

import java.util.List;
import com.fs.common.utils.DateUtils;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.course.mapper.FsUserCompanyUserQwMapper;
import com.fs.course.domain.FsUserCompanyUserQw;
import com.fs.course.service.IFsUserCompanyUserQwService;

/**
 * 微信用户和销售关系-企业微信自动的Service业务层处理
 * 
 * @author fs
 * @date 2025-10-23
 */
@Service
public class FsUserCompanyUserQwServiceImpl extends ServiceImpl<FsUserCompanyUserQwMapper, FsUserCompanyUserQw> implements IFsUserCompanyUserQwService {

    /**
     * 查询微信用户和销售关系-企业微信自动的
     * 
     * @param id 微信用户和销售关系-企业微信自动的主键
     * @return 微信用户和销售关系-企业微信自动的
     */
    @Override
    public FsUserCompanyUserQw selectFsUserCompanyUserQwById(Long id)
    {
        return baseMapper.selectFsUserCompanyUserQwById(id);
    }

    /**
     * 查询微信用户和销售关系-企业微信自动的列表
     * 
     * @param fsUserCompanyUserQw 微信用户和销售关系-企业微信自动的
     * @return 微信用户和销售关系-企业微信自动的
     */
    @Override
    public List<FsUserCompanyUserQw> selectFsUserCompanyUserQwList(FsUserCompanyUserQw fsUserCompanyUserQw)
    {
        return baseMapper.selectFsUserCompanyUserQwList(fsUserCompanyUserQw);
    }

    /**
     * 新增微信用户和销售关系-企业微信自动的
     * 
     * @param fsUserCompanyUserQw 微信用户和销售关系-企业微信自动的
     * @return 结果
     */
    @Override
    public int insertFsUserCompanyUserQw(FsUserCompanyUserQw fsUserCompanyUserQw)
    {
        fsUserCompanyUserQw.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertFsUserCompanyUserQw(fsUserCompanyUserQw);
    }

    /**
     * 修改微信用户和销售关系-企业微信自动的
     * 
     * @param fsUserCompanyUserQw 微信用户和销售关系-企业微信自动的
     * @return 结果
     */
    @Override
    public int updateFsUserCompanyUserQw(FsUserCompanyUserQw fsUserCompanyUserQw)
    {
        fsUserCompanyUserQw.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateFsUserCompanyUserQw(fsUserCompanyUserQw);
    }

    /**
     * 批量删除微信用户和销售关系-企业微信自动的
     * 
     * @param ids 需要删除的微信用户和销售关系-企业微信自动的主键
     * @return 结果
     */
    @Override
    public int deleteFsUserCompanyUserQwByIds(Long[] ids)
    {
        return baseMapper.deleteFsUserCompanyUserQwByIds(ids);
    }

    /**
     * 删除微信用户和销售关系-企业微信自动的信息
     * 
     * @param id 微信用户和销售关系-企业微信自动的主键
     * @return 结果
     */
    @Override
    public int deleteFsUserCompanyUserQwById(Long id)
    {
        return baseMapper.deleteFsUserCompanyUserQwById(id);
    }
}
